standard_stream.h File Reference
`#include <core/posix/visibility.h>`
`#include <cstdint>`
Include dependency graph for standard_stream.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | core
namespace | core::posix

## Enumerations

enum class | core::posix::StandardStream : std::uint8_t { core::posix::empty = 0 , core::posix::stdin = 1 << 0 , core::posix::stdout = 1 << 1 , core::posix::stderr = 1 << 2 }
| The StandardStream enum wraps the POSIX standard streams. More...

## Functions

CORE_POSIX_DLL_PUBLIC StandardStream | core::posix::operator| (StandardStream l, StandardStream r)
CORE_POSIX_DLL_PUBLIC StandardStream | core::posix::operator& (StandardStream l, StandardStream r)